<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

define('ROOT', str_replace(array('\\', '//'), '/', getcwd()).'/');

if (file_exists(ROOT.'__incfiles/core.php')) {
	require_once(ROOT.'__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

$row = mysql_fetch_row(mysql_query("SELECT TRIM(`path`) FROM `".SQLprefixTable."files` WHERE `id`='".$id."'"));

if (file_exists($row[0])) {
	
	if (isset($_COOKIE['count'])) {
		if ($_COOKIE['count'] >= 5) {
			
			require_header('Антифлуд система');
			
			if (isset($_POST['code'])) {
			
				$error = '';
				
				if (empty($_POST['code'])) {
					$error .= 'Введите код с картинки!';
				}
				else if ($_SESSION['code'] != $_POST['code']) {
					$error .= 'Код с картинки введен не верно!';
				}
				
				if ($error) {
					echo '<div class="error">'.$error.'</div>';
				} else {
					setCookie('count', 0);
					header('Location: '.SCRIPT.'/'.$id.'.load');
				}
			
			}
			
			echo '<form class="menu" action="" method="post">
			<b>Для того, что-бы продолжить скачку файлов, необходимо ввести код с картинки!</b><br/><br/>
			<b>Код с картинки:</b><br/><input type="text" name="code" maxlength="4" size="4"/> <img src="'.SCRIPT.'/code.php" alt=""/><br/>
			<input type="submit" value="Скачать файл"/>
			</form>
			
			<div class="block"><a href="'.SCRIPT.'/view/'.$id.'/">Назад к файлу</a></div>';
			
			exit(require_footer());
			
		} else {
			setCookie('count', (++$_COOKIE['count']), time() + 3600 * 24 * 365, '/');
		}
	} else {
		setCookie('count', 1, time() + 3600 * 24 * 365, '/');
	}
	
	if (!isset($_COOKIE['load_'.$id])) {
		mysql_query("UPDATE `".SQLprefixTable."files` SET `load`=`load`+'1' WHERE `id`='".$id."'");
		setCookie('load_'.$id, time(), time() + 3600 * 24 * 365, '/');
	}
	
	header('Location: '.SCRIPT.'/'.$row[0], true, 301);
	
} else {
	error('Файл не найден!');
}
?>